Alert tags

Create alert tag

POST
/workspaces/{workspaceId}/alert-tags

Authorization

API key Alerts: write
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Alerts: write

Path Parameters

workspaceId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
color?null|string

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/alert-tags" \  -H "Content-Type: application/json" \  -d '{    "name": "Production",    "color": "#e11d48"  }'

Created alert tag.

{  "id": "t8Pj42kLd6Nw",  "name": "Production",  "color": "#e11d48",  "createdAt": "2026-01-08T11:20:00+00:00"}